.container {
  display: grid;
  height: 100vh;
  grid-template-columns: repeat(3, 1fr); /* Creates 3 equal columns */
  grid-template-rows: 2fr  1fr 1fr; /* Creates 2 equal rows */
  gap: 5px; /* Optional: adds spacing between blocks */
}

.cover {
  grid-column: 1 / span 3; /* Spans all 3 columns */
  grid-row: 1 / span 1;
  background-color: #a9a9a9;
  border-radius: 10px;
  border: 2px solid rgb(77, 76, 77);
  background-image: url('cafe.jpg');
  background-size: cover;
  background-position: center;
}

.cakes {
  grid-row: 2 / span 1;
  grid-column: 2 / span 2;
  background-color: #ff9933;
  border-radius: 10px;
  border: 2px solid rgb(77, 76, 77);
  background-image: url('cake.jpg');
  background-size: cover;
  background-position: center;
}

.our-coffee {
  grid-column: 1 / span 1; /* Our coffee is in the first column */
  grid-row: 2 / span 2;
  background-color: #4b0082;
  background-image: url('path/to/your/coffee-image.jpg');
  background-size: cover; /* Ensures the image covers the entire container */
  background-position: center; /* Centers the image */
  background-repeat: no-repeat; /* Prevents the image from repeating */
  border-radius: 10px;
  border: 2px solid rgb(77, 76, 77);
  background-image: url('cafe2.jpg');
  background-size: cover;
  background-position: center;
}

.location{
  grid-column: 2 / span 1; /* Social network is in the second column */
  grid-row: 3 / span 1; /* Social network takes up row 3 */
  background-image: url('location.jpg');
  background-size: cover;
  background-position: center;
  border-radius: 10px;
  border: 2px solid rgb(77, 76, 77);
  display: flex;
  position: relative;
}

.ice-cream {
  grid-column: 3 / span 1; /* Ice cream is in the third column */
  grid-row: 3 / span 1; /* Ice cream takes up row 3 */
  border-radius: 10px;
  border: 2px solid rgb(77, 76, 77);
  background-image: url('icecream.jpg');
  background-size: cover;
  background-position: center;
}


@media (max-width: 768px) {
  /* For screens smaller than 768px */
  .container {
    flex-direction: column; /* Stacks all the boxes vertically */
  }
}

.location img {
  width: 50px;
  height: 50px;
}

.our-coffee h2 {
  color: rgb(199, 162, 98);
  font-size: 1.5em;
  text-align: center;
  margin-top: 100px;
}

.cakes h2 {
  color: rgb(199, 162, 98);
  font-size: 1.5em;
  text-align: right;
  margin-top: 20px;
  margin-right: 40px;
}

.cover h2 {
  color: rgb(188, 220, 195);
  font-size: 1.5em;
  text-align: end;
  margin-right: 10px;
}

.ice-cream h2 {
  color: rgb(217, 224, 171);
  font-size: 1.2em;
  text-align: left;
  margin-top: 5px;
  margin-left: 5px;
}

.location h2 {
  color:rgb(214, 207, 207) ;
  font-size: 1.2em;
  text-align: left;
  margin-left: 10px;
  margin-top: 5px;
}
.cover:hover,
.our-coffee:hover,
.cakes:hover,
.ice-cream:hover,
.location:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Creates a subtle shadow */
  transform: scale(1.01); /* Slightly enlarges the block for a smooth effect */
  transition: box-shadow 0.3s ease-in-out, transform 0.3s ease-in-out; /* Adds a smooth transition */
}

#instagram {
  width: 50px;
  height: 50px;
  margin-top: 190px;
  margin-left: 20px;

}
#facebook {
  width: 50px;
  height: 50px;
}
#whatsapp{
  width: 50px;
  height: 50px;
}
#maps2 {
  width: 50px;
  height: 50px;
}

/* Modal (background) styles */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto; /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.4); /* Black with 40% opacity */
}

/* Modal Content/Box styles */
.modal-content {
  background-color: #fefefe;
  margin: 10% auto; /* 10% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
  max-width: 600px;
  border-radius: 10px;
}

/* Close Button styles */
.close-button {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close-button:hover,
.close-button:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}  

#location-modal #maps {
  width: 50px;
  height: 50px;
}
